from masterlink_sdk._masterlink_sdk import CoreSDK, Order
from .fugle_marketdata import WebSocketClient, RestClient, Mode


class MarketData:
    def __init__(self, bearer_token, mode):
        self.websocket_client = WebSocketClient(
            mode=mode, bearer_token=bearer_token)
        self.rest_client = RestClient(bearer_token=bearer_token)


class MasterlinkSDK(CoreSDK):
    """
    fubon sdk for api trading
    """

    def init_realtime(self, account, mode=Mode.Normal):
        """
        Initial market data and get authorised

        """
        sdk_token = super().get_realtime_token(account)
        self.marketdata = MarketData(sdk_token.realtime_token, mode)
